Skip to main content
GET
/
api-keys
List API Keys
curl --request GET \
  --url https://api.veryfront.com/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "key_prefix": "<string>",
      "last_used_at": "<string>",
      "expires_at": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "status": "active",
      "revoked_at": "<string>",
      "scopes": [
        "<string>"
      ]
    }
  ],
  "page_info": {
    "self": "<string>",
    "first": null,
    "next": "<string>",
    "prev": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Query Parameters

project_id
string<uuid>
status
enum<string>
default:active
Available options:
active,
expired,
revoked,
all
cursor
string

Cursor for pagination (API key ID)

limit
number
default:20
Required range: 1 <= x <= 100

Response

Paginated list of API keys

data
object[]
required
page_info
object
required

Pagination cursor values for traversing the result set.